Package com.xebialabs.xlrelease.domain.events

# Class GlobalVariableUpdatedEvent$

java.lang.Object
scala.runtime.AbstractFunction3<Variable,Variable,VariableModificationSource,GlobalVariableUpdatedEvent>
com.xebialabs.xlrelease.domain.events.GlobalVariableUpdatedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<Variable,Variable,VariableModificationSource,GlobalVariableUpdatedEvent>`

public class GlobalVariableUpdatedEvent$ extends scala.runtime.AbstractFunction3<Variable,Variable,VariableModificationSource,GlobalVariableUpdatedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final GlobalVariableUpdatedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalVariableUpdatedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GlobalVariableUpdatedEvent`
  `apply(Variable original, Variable updated, VariableModificationSource source)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<Variable,Variable,VariableModificationSource>>`
  `unapply(GlobalVariableUpdatedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final GlobalVariableUpdatedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### GlobalVariableUpdatedEvent$

    public GlobalVariableUpdatedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<Variable,Variable,VariableModificationSource,GlobalVariableUpdatedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<Variable,Variable,VariableModificationSource,GlobalVariableUpdatedEvent>`

  - ### apply

    public GlobalVariableUpdatedEvent apply(Variable original, Variable updated, VariableModificationSource source)
    Specified by:
      `apply` in interface `scala.Function3<Variable,Variable,VariableModificationSource,GlobalVariableUpdatedEvent>`

  - ### unapply

    public scala.Option<scala.Tuple3<Variable,Variable,VariableModificationSource>> unapply(GlobalVariableUpdatedEvent x$0)